Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/cart/{cart_uuid}/discount-code/{discountCode_code} \
--header 'Authorization: Bearer <token>'{
"data": {
"uuid": "86550e1e-5af4-346f-9a93-1181a6313782",
"total": {
"currency": "USD",
"amount": "5405.00",
"amount_minor": 540500
},
"sub_total": {
"currency": "USD",
"amount": "5405.00",
"amount_minor": 540500
},
"tax_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"credits_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"remaining_total": {
"currency": "USD",
"amount": "5405.00",
"amount_minor": 540500
},
"credits_eligible_amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total_before_tax": {
"currency": "USD",
"amount": "5405.00",
"amount_minor": 540500
},
"tax_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Tax",
"name": "some-tax",
"rate": 10,
"calculator_type": "percent"
}
],
"discount_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Discount",
"name": "some-discount",
"rate": 10,
"calculator_type": "percent"
}
],
"expires_at": "2026-03-03T14:25:30.0000000+00:00"
}
}Applies discount code to cart.
curl --request POST \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/cart/{cart_uuid}/discount-code/{discountCode_code} \
--header 'Authorization: Bearer <token>'{
"data": {
"uuid": "86550e1e-5af4-346f-9a93-1181a6313782",
"total": {
"currency": "USD",
"amount": "5405.00",
"amount_minor": 540500
},
"sub_total": {
"currency": "USD",
"amount": "5405.00",
"amount_minor": 540500
},
"tax_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"credits_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"remaining_total": {
"currency": "USD",
"amount": "5405.00",
"amount_minor": 540500
},
"credits_eligible_amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total_before_tax": {
"currency": "USD",
"amount": "5405.00",
"amount_minor": 540500
},
"tax_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Tax",
"name": "some-tax",
"rate": 10,
"calculator_type": "percent"
}
],
"discount_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Discount",
"name": "some-discount",
"rate": 10,
"calculator_type": "percent"
}
],
"expires_at": "2026-03-03T14:25:30.0000000+00:00"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the user.
Show child attributes